ONVIF::Device::Types::Appearance(3)

NAME
ONVIF::Device::Types::Appearance

DESCRIPTION
Perl data type class for the XML Schema defined complexType Appearance from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Transformation

•   Shape

•   Color

•   Class

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Appearance
   Transformation =>  { # ONVIF::Device::Types::Transformation
     Translate => ,
     Scale => ,
     Extension =>  { # ONVIF::Device::Types::TransformationExtension
     },
   },
   Shape =>  { # ONVIF::Device::Types::ShapeDescriptor
     BoundingBox => ,
     CenterOfGravity => ,
     Polygon =>  { # ONVIF::Device::Types::Polygon
       Point => ,
     },
     Extension =>  { # ONVIF::Device::Types::ShapeDescriptorExtension
     },
   },
   Color =>  { # ONVIF::Device::Types::ColorDescriptor
     ColorCluster =>  {
       Color => ,
       Weight =>  $some_value, # float
       Covariance => ,
     },
     Extension =>  { # ONVIF::Device::Types::ColorDescriptorExtension
     },
   },
   Class =>  { # ONVIF::Device::Types::ClassDescriptor
     ClassCandidate =>  {
       Type => $some_value, # ClassType
       Likelihood =>  $some_value, # float
     },
     Extension =>  { # ONVIF::Device::Types::ClassDescriptorExtension
       OtherTypes =>  { # ONVIF::Device::Types::OtherType
         Type =>  $some_value, # string
         Likelihood =>  $some_value, # float
       },
       Extension =>  { # ONVIF::Device::Types::ClassDescriptorExtension2
       },
     },
   },
   Extension =>  { # ONVIF::Device::Types::AppearanceExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL